{ lib, ... }:

let
  trivial = import ./trivial.nix;
in

trivial // (with trivial; rec {
  mkImport = root: file:
    let path = mkRel root file; in
    path + (lib.optionalString (!lib.pathIsDirectory path) ".nix");

  mkImports = root: builtins.map (mkImport root);

  getKeys = name: builtins.filter (k: k != "") (lib.splitString "\n" (builtins.readFile (../keys + "/${name}.keys")));

  /* List version of getKeys */
  getAllKeys = names: builtins.concatLists (builtins.map getKeys names);

  getKeyFiles = builtins.map (compose (n: "${n}.keys") (mkRel ../keys));
})
